<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

$url = base_url("resources/template/berita_acara/pidana_umum/".$nama_file.".rtf");
$judulTemplate = preg_replace('/\s/','',$judul_cetak);
$Template = file_get_contents($url);

$numbering = true;
if($dataterdakwa->num_rows >1){
	for ($i=0; $i < $dataterdakwa->num_rows; $i++) { 
    	$text = 'terdakwa'.($i+1);
        if($i==$dataterdakwa->num_rows-1){
            $Template = str_replace('#loopingterdakwa#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingterdakwa#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#loopingterdakwa#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#loopingterdakwa#','#terdakwa#',$Template);
}

$counter = 1;
$pengacara = '';
$pihak2 = '';
$arr_terdakwa = array();
if (!empty($dataterdakwa->num_rows)){   
    foreach ($dataterdakwa->result() as $row){
        $arr_terdakwa[]=$row->pihakId;
        if ($dataterdakwa->num_rows>1) {
            $terdakwa = '\b Terdakwa '.$counter.'\b0\\par ';
        }else{
            $terdakwa = '\b Terdakwa \b0\\par ';
        }
        $pihak2 = $terdakwa;
        $pihak2 .= 'Nama lengkap \tab : '.$this->templatehelper->standradnaming($row->namaPihak).'\\par ';
        $pihak2 .= 'Tempat lahir \tab : '.$row->tempatLahirPihak.'\\par ';
        $pihak2 .= 'Umur/Tanggal lahir \tab : '.$this->tanggalhelper->getSelisihTahun($row->tanggalLahirPihak,date('Y-m-d')).' / '.$this->templatehelper->convertKeTglIndo($row->tanggalLahirPihak).'\\par ';
        $pihak2 .= 'Jenis kelamin \tab : '.$row->kelaminPihak.'\\par ';
        $pihak2 .= 'Kebangsaan \tab : '.$row->negaraPihak.'\\par ';
        $pihak2 .= 'Tempat tinggal \tab : '.$row->alamatPihak.'\\par ';
        $pihak2 .= 'Agama \tab : '.$row->agamaPihak.'\\par ';
        $pihak2 .= 'Pekerjaan \tab : '.$row->pekerjaanPihak.'\\par ';
        //if(($nama_file=='PID.S_14_200_312')||($nama_file=='PID_14_200_301')){
			$Template = str_replace('#keteranganph#',''.$naskahPH.'',$Template);
        	$temp = '';
        	$counterpenahanan = 1;
        	$status_penahanan = '';$penahanan_pihak=array();
	        foreach ($datapenahanan->result() as $baris) {
	            if((trim($baris->pihak_id))==$row->pihakId){
	                $penahanan_pihak[]=array('pihak_id'=>$baris->pihak_id,'oleh'=>$baris->oleh, 'status_penahanan'=>$baris->status_penahanan, 'jenis_tahanan'=>$baris->jenis_tahanan , 'sejak'=>$baris->sejak, 'sampai'=>$baris->sampai,'lama_penahanan'=> $baris->lama_penahanan);
	            }
	        }
	        if (!empty($penahanan_pihak)){
	        	$pihak2 .= "#jenisterdakwa# ditangkap pada tanggal ..... berdasarkan surat perintah penangkapan Nomor ..... tanggal ..... ; \\par ";
				$pihak2 .= "#jenisterdakwa# ditahan dalam tahanan ..... oleh : \\par ";
	            foreach ($penahanan_pihak as $val){
	                $temp = strtolower($val['status_penahanan'].' dalam '.$val['jenis_tahanan']);
	                $val['oleh']=str_replace(' penuntut umum', ' Penuntut', $val['oleh']);
	                $val['oleh']=str_replace('Penuntut', 'Penuntut Umum', $val['oleh']);
	                $val['oleh']=str_replace(' PU', ' Penuntut Umum', $val['oleh']);
	                $val['oleh']=str_replace(' PN', ' Pengadilan Negeri', $val['oleh']);
	                $val['oleh']=str_replace(' pengadilan negeri', ' Pengadilan Negeri', $val['oleh']);
	                $val['oleh']=str_replace(' pn', ' Pengadilan Negeri', $val['oleh']);
	                $val['oleh']=str_replace(' Pn', ' Pengadilan Negeri', $val['oleh']);
	                $val['oleh']=str_replace(' PT', ' Pengadilan Tinggi ', $val['oleh']);
	                $val['oleh']=str_replace(' pengadilan tinggi', ' Pengadilan Tinggi ', $val['oleh']);
	                $pihak2 .= strval($counterpenahanan).'. '.$val['oleh'].' sejak tanggal '.$this->templatehelper->convertKeTglIndo($val['sejak']).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val['sampai']).' \\par ';
	                $status_penahanan = $val['status_penahanan'];
	                $counterpenahanan ++;
	            }
	        }else{
	            $pihak2 .= ' Tidak ada Penahanan ';
	        }
	    //} 

     if($numbering==true){
            $Template = str_replace('#terdakwa'.$counter.'#',$pihak2,$Template);
            $Template = str_replace('#jenisterdakwa#',$jenisTerdakwa,$Template);
            
        }else{
           $Template = str_replace('#terdakwa#',$pihak2,$Template);
           $Template = str_replace('#jenisterdakwa#',$jenisTerdakwa,$Template);
        }
        $counter++;
    }
}

$nama_terdakwa_sendiri='';
if (!empty($datapengacarapihak2->num_rows)){
    $id_pengacara = '';
    $sembarang ='';
    $ada_pengacara = '';
    $all_parties = array();
    foreach ($datapengacarapihak2->result() as $row){
        $parties = explode(',', $row->pihak_id);
        $nama_terdakwa = '#jenisterdakwa#';
        $nama_terdakwa_sendiri = '#jenisterdakwa#';
        foreach($parties as $val){

            $all_parties[]=$val;
            
            foreach($data_pihak->result() as $datapihak){
                if ($datapihak->id == $val){
                    if ($nama_terdakwa == '#jenisterdakwa#'){
                        $nama_terdakwa = $datapihak->nama;
                    } else {
                        $nama_terdakwa .= ', '.$datapihak->nama;
                    }
                }
            }

            $ada_pengacara =  ' didampingi Penasihat Hukum '.$this->templatehelper->standradnaming($row->nama).', beralamat di '.$row->alamat.' berdasarkan Surat Kuasa Khusus/Penetapan Nomor  \highlight7#mohon-di isi nomor#\highlight0, tanggal \highlight7#mohon-di isi tanggal#\highlight0';  
        }
	$i = 1;
        foreach ($arr_terdakwa as $val){
            if(in_array($val, $all_parties)){
                
            }else{
                if ($nama_terdakwa_sendiri == '#jenisterdakwa#'){
                    $nama_terdakwa_sendiri = $datapihak->nama;
                }else{
                    $nama_terdakwa_sendiri .= ', '.$datapihak->nama;
                }
            }
            $i++;
        }
        if ($sembarang==''){
            $sembarang = $nama_terdakwa.$ada_pengacara;
        }else{
            $sembarang .= ', sedangkan '.$nama_terdakwa.$ada_pengacara;
        }
        
        $id_pengacara=$row->id;
    }

    if ($nama_terdakwa_sendiri != '#jenisterdakwa#'){
        $sembarang .= ', sedangkan '.$nama_terdakwa_sendiri.' menghadap sendiri';
    }

    $Template = str_replace('#pendampingan_pengacara#',$sembarang,$Template);
}else{
    $Template = str_replace('#pendampingan_pengacara#','#jenisterdakwa# menghadap sendiri',$Template);
}

if($numbering==true){
    $Template = str_replace('#jenisterdakwa#',$jenisTerdakwa,$Template);
}else{
    $Template = str_replace('#jenisterdakwa#',$jenisTerdakwa,$Template);
}

$Template = str_replace('#nomorperkara#',''.$nomorPerkara.'',$Template);
$Template = str_replace('#namapn#',''.$namaPN.'',$Template);
$Template = str_replace('#keteranganph#',''.$naskahPH.'',$Template);
$Template = str_replace('#alamatpn#',''.$alamatPN.'',$Template);
$Template = str_replace('#tanggalsidang#',''.$tanggalSidang1.'',$Template);
$Template = str_replace('#jamsidang#',''.$jamSidang1.'',$Template);
$Template = str_replace('#namaterdakwalist#',''.$namaTerdakwa1.''.$jenisTerdakwaList.'',$Template);
$Template = str_replace('#hakim#',''.$this->templatehelper->standradnaming($hakim).'',$Template);
$Template = str_replace('#panitera#',''.$this->templatehelper->standradnaming($panitera).'',$Template);
$Template = str_replace('#amarputusan#',''.$amarPutusan.'',$Template);
$Template = str_replace('#tanggalputusan#',''.$tanggalPutusan.'',$Template);
$Template = str_replace('#harisidang#',''.$hariSidang1.'',$Template);
$Template = str_replace('#paniteraTT#',''.$namaPanitera1.'',$Template);
$Template = str_replace('#hakimTT#',''.$namaHakim1.'',$Template);
$Template = str_replace('#namajpu#',''.$namaJPU.'',$Template);
$Template = str_replace('#zonawaktu#',''.$zonaWaktu.'',$Template);
$Template = str_replace('#jenishakim#',''.$jenisHakim.'',$Template);
$Template = str_replace('#jenisterdakwa#',''.$jenisTerdakwa.'',$Template);
$Template = str_replace('#jenispanggilan#','Menghadapkan',$Template);
$Template = str_replace('#tanggalsurat#',''.$tanggalSurat.'',$Template);
$Template = str_replace('#nomorsurat#',''.$nomorSurat.'',$Template);
$Template = str_replace('#tanggalsidangnew#',''.$tanggalSidang2.'',$Template);
$Template = str_replace('#harisidangnew#',''.$hariSidang2.'',$Template);
$Template = str_replace('#jamsidangnew#',''.$jamSidang2.'',$Template);
$Template = str_replace('#agendasidangnew#',''.$agendaSidang2.'',$Template);
$Template = str_replace('#namaterdakwa#',''.$namaTerdakwa1.''.$jenisTerdakwaList.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$judulTemplate."-".$nomorPerkara.".rtf\"");
header("Content-length: ".strlen($Template));
echo $Template;
?>